package com.weilab.biology.core.data.dto;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.weilab.biology.core.data.enums.JobStatusEnum;
import com.weilab.biology.core.data.po.Job;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class JobDto {

    /**
     * jobId
     */
    private Integer jobId;

    /**
     * 任务状态
     */
    private String status;

    /**
     * 请求参数
     */
    private JSONObject param;

    /**
     * 运行结果
     */
    private JSONObject result;

    /**
     * 请求时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime requestTime;

    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 完成时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime completeTime;

    /**
     * 请求类型
     */
    private Integer type;

    public static JobDto parseJob(Job job) {
        return new JobDto(
                job.getJobId(),
                JobStatusEnum.getRemark(job.getStatus()),
                JSON.parseObject(job.getParam()),
                job.getResult() == null ? null : JSON.parseObject(job.getResult()),
                job.getRequestTime(),
                job.getCreateTime(),
                job.getCompleteTime(),
                job.getType()
        );
    }

}
