package com.weilab.biology.core.data.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.weilab.biology.core.data.enums.JobStatusEnum;
import com.weilab.biology.core.data.po.Job;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * Created by skyyemperor on 2021-09-22
 * Description :
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class JobLessDto {

    /**
     * jobId
     */
    private Integer jobId;

    /**
     * 任务状态
     */
    private String status;

    /**
     * 请求时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime requestTime;

    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 完成时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime completeTime;

    /**
     * 请求类型
     */
    private Integer type;

    public static JobLessDto parseJob(Job job) {
        return new JobLessDto(
                job.getJobId(),
                JobStatusEnum.getRemark(job.getStatus()),
                job.getRequestTime(),
                job.getCreateTime(),
                job.getCompleteTime(),
                job.getType()
        );
    }
}
