package com.weilab.biology.core.data.enums;

import lombok.Getter;

/**
 * 校区的枚举类
 */
@Getter
public enum JobStatusEnum {
    WAIT(0, "waiting"),
    REQED(3, "requested"),
    RUNNING(1, "running"),
    SUCCESS(2, "success"),
    FAIL(-1, "failed"),
    TIMEOUT(-2, "timeout"),
    ;

    private final Integer key;
    private final String remark;

    private JobStatusEnum(Integer key, String remark) {
        this.key = key;
        this.remark = remark;
    }

    public static String getRemark(Integer key) {
        for (JobStatusEnum enums : JobStatusEnum.values()) {
            if (enums.key.equals(key))
                return enums.getRemark();
        }
        return null;
    }

    public static JobStatusEnum getEnumByKey(Integer key) {
        for (JobStatusEnum enums : JobStatusEnum.values()) {
            if (enums.key.equals(key))
                return enums;
        }
        return null;
    }

}
