package com.weilab.biology.core.data.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

import jnr.ffi.annotations.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Created by skyyemperor on 2021-09-19
 * Description :
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "job")
public class Job implements Serializable {
    /**
     * jobId
     */
    @TableId(value = "job_id", type = IdType.AUTO)
    private Integer jobId;

    /**
     * 基因序列数据
     */
    @TableField(value = "`data`")
    private String data;

    /**
     * 请求参数
     */
    @TableField(value = "param")
    private String param;

    /**
     * 联系邮箱
     */
    @TableField(value = "mail")
    private String mail;

    /**
     * 运行结果
     */
    @TableField(value = "result")
    private String result;

    /**
     * 任务状态。0为待运行，1为正在运行，2为运行成功，-1为运行失败
     */
    @TableField(value = "`status`")
    private Integer status;

    /**
     * 请求时间
     */
    @TableField(value = "request_time")
    private LocalDateTime requestTime;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private LocalDateTime createTime;

    /**
     * 完成时间
     */
    @TableField(value = "complete_time")
    private LocalDateTime completeTime;

    /**
     * 请求类型
     */
    @TableField(value = "type")
    private Integer type;

    public Job(String data, String param, String mail, Integer status, LocalDateTime requestTime, Integer type) {
        this.data = data;
        this.param = param;
        this.mail = mail;
        this.status = status;
        this.requestTime = requestTime;
        this.type = type;
    }

    private static final long serialVersionUID = 1L;
}