package com.weilab.biology.util;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSenderImpl;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component
@Slf4j
public class MailUtil {
    @Autowired
    private JavaMailSenderImpl mailSender;

    @Value("${spring.mail.username}")
    private String sender;

    @Autowired
    private TaskExecutorUtil<?> taskExecutorUtil;

    public void send(String receiver, String subject, String content) {
        taskExecutorUtil.run(() -> {
            SimpleMailMessage message = new SimpleMailMessage();
            message.setSubject(subject);//设置标题
            message.setText(content);//设置内容

            message.setTo(receiver);
            message.setFrom(sender);

            mailSender.send(message);

            log.info("Mail已发送： " + message);
        });
    }
}
